## com.imcode.imcms.servlet
Class ImcmsMultipleUserLoginFilter

    java.lang.Object
      com.imcode.imcms.servlet.ImcmsMultipleUserLoginFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class ImcmsMultipleUserLoginFilter

extends java.lang.Object
implements javax.servlet.Filter

Field Summary
`static LocalizedMessage` `LOGIN_MSG_TOO_MANY_SESSIONS`
`static java.lang.String` `TOO_MANY_SESSIONS`

Constructor Summary
`ImcmsMultipleUserLoginFilter()`

Method Summary
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)`
`void` `init(javax.servlet.FilterConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOO_MANY_SESSIONS

    public static final java.lang.String TOO_MANY_SESSIONS

See Also:
  Constant Field Values

### LOGIN_MSG_TOO_MANY_SESSIONS

    public static final LocalizedMessage LOGIN_MSG_TOO_MANY_SESSIONS

Constructor Detail

### ImcmsMultipleUserLoginFilter

    public ImcmsMultipleUserLoginFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest req,
                         javax.servlet.ServletResponse res,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`